<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: polyparam.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>polyparam.h File Reference</h1>
<p><a href="polyparam_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polyparam_8h.html#a5b103fb2f86581eaaeba2eb3f567c84c">Compute_PDomains</a> (<a class="el" href="struct__Param__Domain.html">Param_Domain</a> *PD, int nb_domains, int working_space)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct__Param__Polyhedron.html">Param_Polyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polyparam_8h.html#ad694b78f831d141b6126e858d7b8b11a">GenParamPolyhedron</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> *Pol, <a class="el" href="structmatrix.html">Matrix</a> *Rays)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polyparam_8h.html#a50f554419ba832936792c06683caac31">Param_Domain_Free</a> (<a class="el" href="struct__Param__Domain.html">Param_Domain</a> *PD)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polyparam_8h.html#a499deb4842822ae8ae58ed1fdf079c88">Param_Polyhedron_Free</a> (<a class="el" href="struct__Param__Polyhedron.html">Param_Polyhedron</a> *P)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polyparam_8h.html#a130a2772c56c28b74a5c0ab42717c267">Param_Vertices_Free</a> (<a class="el" href="struct__Param__Vertex.html">Param_Vertices</a> *PV)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polyparam_8h.html#ac28d8499be5ff29e4ff8149bbe53c5df">Param_Vertices_Print</a> (FILE *DST, <a class="el" href="struct__Param__Vertex.html">Param_Vertices</a> *PV, const char **param_names)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polyparam_8h.html#ac234c76f3561c8799ddf6ff8de425e1f">PDomainDifference</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> *Pol1, <a class="el" href="structpolyhedron.html">Polyhedron</a> *Pol2, unsigned NbMaxRays)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polyparam_8h.html#a6b9861272d427f2ed7767ce9dcf783c7">PDomainIntersection</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> *Pol1, <a class="el" href="structpolyhedron.html">Polyhedron</a> *Pol2, unsigned NbMaxRays)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct__Param__Polyhedron.html">Param_Polyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polyparam_8h.html#a57cedd532b6fbd7a8d7549758eabaf94">Polyhedron2Param_Domain</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> *Din, <a class="el" href="structpolyhedron.html">Polyhedron</a> *Cin, int working_space)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct__Param__Polyhedron.html">Param_Polyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polyparam_8h.html#acc7b93726280a24b37b268e90a2e25ca">Polyhedron2Param_SimplifiedDomain</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> **Din, <a class="el" href="structpolyhedron.html">Polyhedron</a> *Cin, int working_space, <a class="el" href="structpolyhedron.html">Polyhedron</a> **CEq, <a class="el" href="structmatrix.html">Matrix</a> **CT)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct__Param__Polyhedron.html">Param_Polyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polyparam_8h.html#a337084d0cc59e1fda9998c81f8c68919">Polyhedron2Param_Vertices</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> *Din, <a class="el" href="structpolyhedron.html">Polyhedron</a> *Cin, int working_space)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polyparam_8h.html#a2576e3e750b8e633de2d6d859b54f029">Print_Domain</a> (FILE *DST, <a class="el" href="structpolyhedron.html">Polyhedron</a> *D, const char **param_names)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polyparam_8h.html#aed63fd8f223a4776c442b144edb03fae">Print_Vertex</a> (FILE *DST, <a class="el" href="structmatrix.html">Matrix</a> *V, const char **param_names)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polyparam_8h.html#a6d1dac6dcd959d6489cdd4933f75fc7e">VertexCT</a> (<a class="el" href="structmatrix.html">Matrix</a> *V, <a class="el" href="structmatrix.html">Matrix</a> *CT)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polyparam_8h.html#a5c62eaa235c8e77a994387f27b67ad3f">Param_Polyhedron_Scale_Integer</a> (<a class="el" href="struct__Param__Polyhedron.html">Param_Polyhedron</a> *PP, <a class="el" href="structpolyhedron.html">Polyhedron</a> **P, Value *det, unsigned MaxRays)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a5b103fb2f86581eaaeba2eb3f567c84c"></a><!-- doxytag: member="polyparam.h::Compute_PDomains" ref="a5b103fb2f86581eaaeba2eb3f567c84c" args="(Param_Domain *PD, int nb_domains, int working_space)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Compute_PDomains </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct__Param__Domain.html">Param_Domain</a> *&nbsp;</td>
          <td class="paramname"> <em>PD</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>nb_domains</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>working_space</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polyparam_8c_source.html#l01366">1366</a> of file <a class="el" href="polyparam_8c_source.html">polyparam.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00153">_Param_Domain::Domain</a>, <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l03574">DomainConvex()</a>, <a class="el" href="types_8h_source.html#l00134">emptyQ</a>, <a class="el" href="types_8h_source.html#l00152">_Param_Domain::F</a>, <a class="el" href="types_8h_source.html#l00070">MSB</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::NbEq</a>, <a class="el" href="types_8h_source.html#l00115">polyhedron::next</a>, <a class="el" href="types_8h_source.html#l00076">NEXT</a>, <a class="el" href="types_8h_source.html#l00154">_Param_Domain::next</a>, <a class="el" href="types_8h_source.html#l00061">P_VALUE_FMT</a>, <a class="el" href="polyparam_8c_source.html#l00103">PDomainDifference()</a>, <a class="el" href="polyparam_8c_source.html#l00062">PDomainIntersection()</a>, and <a class="el" href="polyhedron_8c_source.html#l01630">Polyhedron_Print()</a>.</p>

<p>Referenced by <a class="el" href="polyparam_8c_source.html#l01771">Polyhedron2Param_Domain()</a>, and <a class="el" href="polyparam_8c_source.html#l01816">Polyhedron2Param_SimplifiedDomain()</a>.</p>

</div>
</div>
<a class="anchor" id="ad694b78f831d141b6126e858d7b8b11a"></a><!-- doxytag: member="polyparam.h::GenParamPolyhedron" ref="ad694b78f831d141b6126e858d7b8b11a" args="(Polyhedron *Pol, Matrix *Rays)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct__Param__Polyhedron.html">Param_Polyhedron</a>* GenParamPolyhedron </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Pol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>Rays</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polyparam_8c_source.html#l00809">809</a> of file <a class="el" href="polyparam_8c_source.html">polyparam.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00161">_Param_Polyhedron::Constraints</a>, <a class="el" href="types_8h_source.html#l00160">_Param_Polyhedron::D</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::Dimension</a>, <a class="el" href="types_8h_source.html#l00153">_Param_Domain::Domain</a>, <a class="el" href="types_8h_source.html#l00146">_Param_Vertex::Domain</a>, <a class="el" href="types_8h_source.html#l00152">_Param_Domain::F</a>, <a class="el" href="types_8h_source.html#l00147">_Param_Vertex::Facets</a>, <a class="el" href="matrix_8c_source.html#l00045">Matrix_Alloc()</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::NbRays</a>, <a class="el" href="types_8h_source.html#l00158">_Param_Polyhedron::nbV</a>, <a class="el" href="types_8h_source.html#l00154">_Param_Domain::next</a>, <a class="el" href="types_8h_source.html#l00148">_Param_Vertex::next</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, <a class="el" href="polyhedron_8c_source.html#l02056">Polyhedron2Constraints()</a>, <a class="el" href="types_8h_source.html#l00112">polyhedron::Ray</a>, <a class="el" href="types_8h_source.html#l00162">_Param_Polyhedron::Rays</a>, <a class="el" href="vector_8c_source.html#l00761">size</a>, <a class="el" href="polyhedron_8c_source.html#l01748">Universe_Polyhedron()</a>, <a class="el" href="types_8h_source.html#l00159">_Param_Polyhedron::V</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00556">value_notone_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00553">value_zero_p</a>, and <a class="el" href="types_8h_source.html#l00142">_Param_Vertex::Vertex</a>.</p>

<p>Referenced by <a class="el" href="polyparam_8c_source.html#l01068">Find_m_faces()</a>.</p>

</div>
</div>
<a class="anchor" id="a50f554419ba832936792c06683caac31"></a><!-- doxytag: member="polyparam.h::Param_Domain_Free" ref="a50f554419ba832936792c06683caac31" args="(Param_Domain *PD)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Param_Domain_Free </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct__Param__Domain.html">Param_Domain</a> *&nbsp;</td>
          <td class="paramname"> <em>PD</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polyparam_8c_source.html#l01863">1863</a> of file <a class="el" href="polyparam_8c_source.html">polyparam.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00153">_Param_Domain::Domain</a>, <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="types_8h_source.html#l00152">_Param_Domain::F</a>, and <a class="el" href="types_8h_source.html#l00154">_Param_Domain::next</a>.</p>

<p>Referenced by <a class="el" href="polyparam_8c_source.html#l01880">Param_Polyhedron_Free()</a>.</p>

</div>
</div>
<a class="anchor" id="a499deb4842822ae8ae58ed1fdf079c88"></a><!-- doxytag: member="polyparam.h::Param_Polyhedron_Free" ref="a499deb4842822ae8ae58ed1fdf079c88" args="(Param_Polyhedron *P)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Param_Polyhedron_Free </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct__Param__Polyhedron.html">Param_Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>P</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polyparam_8c_source.html#l01880">1880</a> of file <a class="el" href="polyparam_8c_source.html">polyparam.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00161">_Param_Polyhedron::Constraints</a>, <a class="el" href="types_8h_source.html#l00160">_Param_Polyhedron::D</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="polyparam_8c_source.html#l01863">Param_Domain_Free()</a>, <a class="el" href="polyparam_8c_source.html#l01577">Param_Vertices_Free()</a>, <a class="el" href="types_8h_source.html#l00162">_Param_Polyhedron::Rays</a>, and <a class="el" href="types_8h_source.html#l00159">_Param_Polyhedron::V</a>.</p>

<p>Referenced by <a class="el" href="findv_8c_source.html#l00023">main()</a>, and <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>.</p>

</div>
</div>
<a class="anchor" id="a5c62eaa235c8e77a994387f27b67ad3f"></a><!-- doxytag: member="polyparam.h::Param_Polyhedron_Scale_Integer" ref="a5c62eaa235c8e77a994387f27b67ad3f" args="(Param_Polyhedron *PP, Polyhedron **P, Value *det, unsigned MaxRays)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Param_Polyhedron_Scale_Integer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct__Param__Polyhedron.html">Param_Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>PP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> **&nbsp;</td>
          <td class="paramname"> <em>P</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Value *&nbsp;</td>
          <td class="paramname"> <em>det</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>MaxRays</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polyparam_8c_source.html#l01896">1896</a> of file <a class="el" href="polyparam_8c_source.html">polyparam.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00160">_Param_Polyhedron::D</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::Dimension</a>, <a class="el" href="types_8h_source.html#l00153">_Param_Domain::Domain</a>, <a class="el" href="matrix_8c_source.html#l00045">Matrix_Alloc()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00158">_Param_Polyhedron::nbV</a>, <a class="el" href="types_8h_source.html#l00148">_Param_Vertex::next</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, <a class="el" href="types_8h_source.html#l00088">Vector::p</a>, <a class="el" href="polyhedron_8c_source.html#l04002">Polyhedron_Preimage()</a>, <a class="el" href="types_8h_source.html#l00159">_Param_Polyhedron::V</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00523">value_division</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00533">value_lcm</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00519">value_multiply</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>, <a class="el" href="vector_8c_source.html#l00154">Vector_Alloc()</a>, <a class="el" href="vector_8c_source.html#l00179">Vector_Free()</a>, <a class="el" href="vector_8c_source.html#l00568">Vector_Normalize()</a>, <a class="el" href="vector_8c_source.html#l00343">Vector_Scale()</a>, and <a class="el" href="types_8h_source.html#l00142">_Param_Vertex::Vertex</a>.</p>

<p>Referenced by <a class="el" href="ehrhart_8c_source.html#l02281">Ehrhart_Quick_Apx_Full_Dim()</a>.</p>

</div>
</div>
<a class="anchor" id="a130a2772c56c28b74a5c0ab42717c267"></a><!-- doxytag: member="polyparam.h::Param_Vertices_Free" ref="a130a2772c56c28b74a5c0ab42717c267" args="(Param_Vertices *PV)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Param_Vertices_Free </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct__Param__Vertex.html">Param_Vertices</a> *&nbsp;</td>
          <td class="paramname"> <em>PV</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polyparam_8c_source.html#l01577">1577</a> of file <a class="el" href="polyparam_8c_source.html">polyparam.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00146">_Param_Vertex::Domain</a>, <a class="el" href="types_8h_source.html#l00147">_Param_Vertex::Facets</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="types_8h_source.html#l00148">_Param_Vertex::next</a>, and <a class="el" href="types_8h_source.html#l00142">_Param_Vertex::Vertex</a>.</p>

<p>Referenced by <a class="el" href="polyparam_8c_source.html#l01880">Param_Polyhedron_Free()</a>, and <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>.</p>

</div>
</div>
<a class="anchor" id="ac28d8499be5ff29e4ff8149bbe53c5df"></a><!-- doxytag: member="polyparam.h::Param_Vertices_Print" ref="ac28d8499be5ff29e4ff8149bbe53c5df" args="(FILE *DST, Param_Vertices *PV, const char **param_names)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Param_Vertices_Print </td>
          <td>(</td>
          <td class="paramtype">FILE *&nbsp;</td>
          <td class="paramname"> <em>DST</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct__Param__Vertex.html">Param_Vertices</a> *&nbsp;</td>
          <td class="paramname"> <em>PV</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char **&nbsp;</td>
          <td class="paramname"> <em>param_names</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polyparam_8c_source.html#l01746">1746</a> of file <a class="el" href="polyparam_8c_source.html">polyparam.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l01906">Constraints2Polyhedron()</a>, <a class="el" href="types_8h_source.html#l00146">_Param_Vertex::Domain</a>, <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="types_8h_source.html#l00148">_Param_Vertex::next</a>, <a class="el" href="polyparam_8c_source.html#l01693">Print_Domain()</a>, <a class="el" href="polyparam_8c_source.html#l01594">Print_Vertex()</a>, and <a class="el" href="types_8h_source.html#l00142">_Param_Vertex::Vertex</a>.</p>

<p>Referenced by <a class="el" href="findv_8c_source.html#l00023">main()</a>.</p>

</div>
</div>
<a class="anchor" id="ac234c76f3561c8799ddf6ff8de425e1f"></a><!-- doxytag: member="polyparam.h::PDomainDifference" ref="ac234c76f3561c8799ddf6ff8de425e1f" args="(Polyhedron *Pol1, Polyhedron *Pol2, unsigned NbMaxRays)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structpolyhedron.html">Polyhedron</a>* PDomainDifference </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Pol1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Pol2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>NbMaxRays</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polyparam_8c_source.html#l00103">103</a> of file <a class="el" href="polyparam_8c_source.html">polyparam.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l02432">AddPolyToDomain()</a>, <a class="el" href="types_8h_source.html#l00111">polyhedron::Constraint</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::Dimension</a>, <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="types_8h_source.html#l00134">emptyQ</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::NbConstraints</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::NbEq</a>, <a class="el" href="types_8h_source.html#l00115">polyhedron::next</a>, <a class="el" href="polyhedron_8h_source.html#l00030">POL_ENSURE_FACETS</a>, <a class="el" href="polyhedron_8h_source.html#l00034">POL_ENSURE_VERTICES</a>, <a class="el" href="polyhedron_8c_source.html#l01603">Polyhedron_Free()</a>, and <a class="el" href="polyhedron_8c_source.html#l02508">SubConstraint()</a>.</p>

<p>Referenced by <a class="el" href="polyparam_8c_source.html#l01366">Compute_PDomains()</a>.</p>

</div>
</div>
<a class="anchor" id="a6b9861272d427f2ed7767ce9dcf783c7"></a><!-- doxytag: member="polyparam.h::PDomainIntersection" ref="a6b9861272d427f2ed7767ce9dcf783c7" args="(Polyhedron *Pol1, Polyhedron *Pol2, unsigned NbMaxRays)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structpolyhedron.html">Polyhedron</a>* PDomainIntersection </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Pol1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Pol2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>NbMaxRays</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polyparam_8c_source.html#l00062">62</a> of file <a class="el" href="polyparam_8c_source.html">polyparam.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l02293">AddConstraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02432">AddPolyToDomain()</a>, <a class="el" href="types_8h_source.html#l00111">polyhedron::Constraint</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::Dimension</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::NbConstraints</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::NbEq</a>, <a class="el" href="types_8h_source.html#l00115">polyhedron::next</a>, <a class="el" href="polyhedron_8h_source.html#l00030">POL_ENSURE_FACETS</a>, <a class="el" href="polyhedron_8h_source.html#l00034">POL_ENSURE_VERTICES</a>, and <a class="el" href="polyhedron_8c_source.html#l01603">Polyhedron_Free()</a>.</p>

<p>Referenced by <a class="el" href="polyparam_8c_source.html#l01366">Compute_PDomains()</a>.</p>

</div>
</div>
<a class="anchor" id="a57cedd532b6fbd7a8d7549758eabaf94"></a><!-- doxytag: member="polyparam.h::Polyhedron2Param_Domain" ref="a57cedd532b6fbd7a8d7549758eabaf94" args="(Polyhedron *Din, Polyhedron *Cin, int working_space)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct__Param__Polyhedron.html">Param_Polyhedron</a>* Polyhedron2Param_Domain </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Din</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Cin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>working_space</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polyparam_8c_source.html#l01771">1771</a> of file <a class="el" href="polyparam_8c_source.html">polyparam.c</a>.</p>

<p>References <a class="el" href="polyparam_8c_source.html#l00314">Add_CEqualities()</a>, <a class="el" href="polyparam_8c_source.html#l01366">Compute_PDomains()</a>, <a class="el" href="types_8h_source.html#l00160">_Param_Polyhedron::D</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::Dimension</a>, <a class="el" href="types_8h_source.html#l00153">_Param_Domain::Domain</a>, <a class="el" href="types_8h_source.html#l00134">emptyQ</a>, <a class="el" href="polyparam_8c_source.html#l01068">Find_m_faces()</a>, <a class="el" href="types_8h_source.html#l00158">_Param_Polyhedron::nbV</a>, <a class="el" href="types_8h_source.html#l00154">_Param_Domain::next</a>, <a class="el" href="polyhedron_8h_source.html#l00030">POL_ENSURE_FACETS</a>, <a class="el" href="polyhedron_8h_source.html#l00034">POL_ENSURE_VERTICES</a>, and <a class="el" href="polyhedron_8c_source.html#l01603">Polyhedron_Free()</a>.</p>

<p>Referenced by <a class="el" href="pp_8c_source.html#l00025">main()</a>.</p>

</div>
</div>
<a class="anchor" id="acc7b93726280a24b37b268e90a2e25ca"></a><!-- doxytag: member="polyparam.h::Polyhedron2Param_SimplifiedDomain" ref="acc7b93726280a24b37b268e90a2e25ca" args="(Polyhedron **Din, Polyhedron *Cin, int working_space, Polyhedron **CEq, Matrix **CT)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct__Param__Polyhedron.html">Param_Polyhedron</a>* Polyhedron2Param_SimplifiedDomain </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> **&nbsp;</td>
          <td class="paramname"> <em>Din</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Cin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>working_space</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> **&nbsp;</td>
          <td class="paramname"> <em>CEq</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> **&nbsp;</td>
          <td class="paramname"> <em>CT</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polyparam_8c_source.html#l01816">1816</a> of file <a class="el" href="polyparam_8c_source.html">polyparam.c</a>.</p>

<p>References <a class="el" href="assert_8h_source.html#l00026">assert</a>, <a class="el" href="polyparam_8c_source.html#l01366">Compute_PDomains()</a>, <a class="el" href="types_8h_source.html#l00160">_Param_Polyhedron::D</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::Dimension</a>, <a class="el" href="polyparam_8c_source.html#l01068">Find_m_faces()</a>, <a class="el" href="types_8h_source.html#l00158">_Param_Polyhedron::nbV</a>, <a class="el" href="polyhedron_8h_source.html#l00030">POL_ENSURE_FACETS</a>, and <a class="el" href="polyhedron_8h_source.html#l00034">POL_ENSURE_VERTICES</a>.</p>

<p>Referenced by <a class="el" href="ehrhart_8c_source.html#l02281">Ehrhart_Quick_Apx_Full_Dim()</a>, and <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>.</p>

</div>
</div>
<a class="anchor" id="a337084d0cc59e1fda9998c81f8c68919"></a><!-- doxytag: member="polyparam.h::Polyhedron2Param_Vertices" ref="a337084d0cc59e1fda9998c81f8c68919" args="(Polyhedron *Din, Polyhedron *Cin, int working_space)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct__Param__Polyhedron.html">Param_Polyhedron</a>* Polyhedron2Param_Vertices </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Din</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Cin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>working_space</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polyparam_8c_source.html#l01546">1546</a> of file <a class="el" href="polyparam_8c_source.html">polyparam.c</a>.</p>

<p>References <a class="el" href="polyparam_8c_source.html#l01068">Find_m_faces()</a>, <a class="el" href="types_8h_source.html#l00158">_Param_Polyhedron::nbV</a>, <a class="el" href="polyhedron_8h_source.html#l00030">POL_ENSURE_FACETS</a>, and <a class="el" href="polyhedron_8h_source.html#l00034">POL_ENSURE_VERTICES</a>.</p>

<p>Referenced by <a class="el" href="findv_8c_source.html#l00023">main()</a>.</p>

</div>
</div>
<a class="anchor" id="a2576e3e750b8e633de2d6d859b54f029"></a><!-- doxytag: member="polyparam.h::Print_Domain" ref="a2576e3e750b8e633de2d6d859b54f029" args="(FILE *DST, Polyhedron *D, const char **param_names)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Print_Domain </td>
          <td>(</td>
          <td class="paramtype">FILE *&nbsp;</td>
          <td class="paramname"> <em>DST</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>D</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char **&nbsp;</td>
          <td class="paramname"> <em>param_names</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polyparam_8c_source.html#l01693">1693</a> of file <a class="el" href="polyparam_8c_source.html">polyparam.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00111">polyhedron::Constraint</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::Dimension</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::NbConstraints</a>, <a class="el" href="types_8h_source.html#l00115">polyhedron::next</a>, <a class="el" href="polyhedron_8h_source.html#l00030">POL_ENSURE_FACETS</a>, <a class="el" href="polyhedron_8h_source.html#l00034">POL_ENSURE_VERTICES</a>, <a class="el" href="polyparam_8c_source.html#l01693">Print_Domain()</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00557">value_mone_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00554">value_notzero_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00555">value_one_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00549">value_pos_p</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00464">value_print</a>.</p>

<p>Referenced by <a class="el" href="eval__ehrhart_8c_source.html#l00158">compute_poly()</a>, <a class="el" href="ehrhart_8c_source.html#l02281">Ehrhart_Quick_Apx_Full_Dim()</a>, <a class="el" href="ehrhart_8c_source.html#l01738">Enumerate_NoParameters()</a>, <a class="el" href="ehrhart__lower__bound_8c_source.html#l00025">main()</a>, <a class="el" href="polyparam_8c_source.html#l01746">Param_Vertices_Print()</a>, <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>, and <a class="el" href="polyparam_8c_source.html#l01693">Print_Domain()</a>.</p>

</div>
</div>
<a class="anchor" id="aed63fd8f223a4776c442b144edb03fae"></a><!-- doxytag: member="polyparam.h::Print_Vertex" ref="aed63fd8f223a4776c442b144edb03fae" args="(FILE *DST, Matrix *V, const char **param_names)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Print_Vertex </td>
          <td>(</td>
          <td class="paramtype">FILE *&nbsp;</td>
          <td class="paramname"> <em>DST</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>V</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char **&nbsp;</td>
          <td class="paramname"> <em>param_names</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polyparam_8c_source.html#l01594">1594</a> of file <a class="el" href="polyparam_8c_source.html">polyparam.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00524">value_divexact</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00532">value_gcd</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00557">value_mone_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00556">value_notone_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00554">value_notzero_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00551">value_posz_p</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00464">value_print</a>.</p>

<p>Referenced by <a class="el" href="pp_8c_source.html#l00025">main()</a>, <a class="el" href="polyparam_8c_source.html#l01746">Param_Vertices_Print()</a>, and <a class="el" href="ehrhart_8c_source.html#l01660">Scan_Vertices()</a>.</p>

</div>
</div>
<a class="anchor" id="a6d1dac6dcd959d6489cdd4933f75fc7e"></a><!-- doxytag: member="polyparam.h::VertexCT" ref="a6d1dac6dcd959d6489cdd4933f75fc7e" args="(Matrix *V, Matrix *CT)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structmatrix.html">Matrix</a>* VertexCT </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>V</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>CT</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polyparam_8c_source.html#l01663">1663</a> of file <a class="el" href="polyparam_8c_source.html">polyparam.c</a>.</p>

<p>References <a class="el" href="matrix_8c_source.html#l00045">Matrix_Alloc()</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00554">value_notzero_p</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>.</p>

<p>Referenced by <a class="el" href="ehrhart_8c_source.html#l01660">Scan_Vertices()</a>.</p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:27 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
